{% trans_default_domain('City') %}

{% set convertable = resourceSchemas[0] %}
{% set buildingName = resourceSchemas[(resourceSchemas|keys)[1]].requiredBuilding.name %}
{% set producedResourceName = resourceSchemas[(resourceSchemas|keys)[1]].producedResource.name %}

<td>
	<div class="blocks2_top {% if not convertable %}disable{% endif %}">
		<div class="blocks2_bg">
			<div class="blocks2_bottom">
				<form action="/city/convertResources/{{ producedResourceName }}" method="POST">
					<img src="{{ asset('/img/icons/b_'~buildingName~'.png') }}" alt="" class="sell">
					<h3 class="h3c long">{{ 'messages.convert.use' | trans }} {{ ('buildings.'~buildingName~'.name') | trans }}</h3>
					<ul class="ismall">
						<li class="nores">
							{{ 'messages.convert.spend' | trans }}
						</li>
						{% for schema in resourceSchemas[1:] %}
                            <li>
                                <div>
                                    <img src="{{ asset('/img/icons/small/res_'~schema.requiredResource.name~'.gif') }}" alt="">
                                    <span class="number">{{ schema.requiredAmount }}</span>
                                </div>
                            </li>
                        {% endfor %}
						<li class="nores">
							{{ 'messages.convert.for' | trans }}
						</li>
						<li>
							<div class="sres">
								<img src="{{ asset('/img/icons/small/res_'~producedResourceName~'.gif') }}" alt="">
								<span class="number">{{ resourceSchemas[(resourceSchemas|keys)[1]].producedAmount }}</span>
							</div>
						</li>
					</ul>
					<div class="clear"></div>
					<p {% if not convertable %}class="disable"{% endif %}>
						<label>
							{{ 'messages.convert.quantity' | trans }} :
							<input class="inputsmall" name="count" value="1">
						</label>
						<input type="submit" class="oksmall" value="Ok">
					</p>
				</form>
			</div>
		</div>
	</div>
</td>



